Last Comment Bug 428742 - when browser.startup.page=3 show appropriate warnings on quit/restart
: when browser.startup.page=3 show appropriate warnings on quit/restart
Status: RESOLVED FIXED
: regression, useless-UI
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 419009 442736
  Show dependency treegraph
 
Reported: 2008-04-12 19:37 PDT by Roman R.
Modified: 2012-03-01 02:54 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Roman R. 2008-04-12 19:37:18 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9pre) Gecko/2008041206 Minefield/3.0pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9pre) Gecko/2008041206 Minefield/3.0pre

Recent attempts to fix the multiple tabs close warning issues have led to another problem.

I've configured Firefox to "show my windows and tabs from last time" when it starts. Yet, when I try to close Firefox, I am now asked if I want to save windows and tabs. So, now Firefox acts like someone with memory problems (besides leaks) and/or trust issues. I was specific and certain when I "told" it to "show my windows and tabs from last time" when it starts, and I don't want to be asked this question again. Well, maybe when I set an option "I am not sure anymore" or something like that, current behavior would be justified.

The situation seems simple to me: 
- if said "show tabs and windows from last time", do it without confirming every time.
- if I said "warm me before closing multiple tabs/windows", do it.

Reproducible: Always
Comment 1 Mike Lierman 2008-04-12 20:27:40 PDT
I always have problems with this feature. For me it doesn't even ask me at all it just closes the window whether or not I have tabs open. Without saving them or asking me if I want to save.

Do you think this might be a Windows Vista only problem?


-Mike
Comment 2 Roman R. 2008-04-12 21:23:19 PDT
What build do you have? This has been "fixed" very recently (bug 419009). And you have to set certain preferences.
Comment 3 Roman R. 2008-04-12 21:26:00 PDT
My tabs and windows have been saved and reopened (I set this in the Main tab in the pref dialog). My issue now is with the text and logic of the current warning dialog. It should simply ask if I really want to close 120 tabs that I have open :)
Comment 4 Mike Lierman 2008-04-13 14:00:45 PDT
QUOTE:
What build do you have?
________________________________

I'm using the nightly build which seems to be having problems.



-Mike
Comment 5 Ria Klaassen (not reading all bugmail) 2008-04-13 14:54:29 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008041308 Minefield/3.0pre

Confirming, because of superfluous "Quit" dialog when session restore is already the expected behaviour. This regressed on 10 Apr 2008, possibly from Bug 419009.
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-04-13 23:23:12 PDT
This was an intentional change from bug 419009. You can disable the quit prompt by disabling the "warn me when closing multiple tabs" pref, but that also disables the prompt when you close a window with multiple tabs.

To get the old behavior, you need to set your preferences as follows:

browser.startup.page = 3 ("save my windows and tabs from last time")
browser.tabs.warnOnClose = true (warn when closing more than one tab)
browser.warnOnQuit = false (override warnOnClose when quitting - don't warn)

The third pref is key - it also has no UI.
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-04-15 22:42:48 PDT
Beltzner: did you mean WONTFIX? This isn't INVALID.
Comment 8 Mike Connor [:mconnor] 2008-04-16 09:04:27 PDT
Its INVALID since its intended behaviour.  But if WONTFIX is going to stick, I'll do that.  Reasoning is in the original bug.
Comment 9 Mike Beltzner [:beltzner, not reading bugmail] 2008-04-16 23:04:25 PDT
Actually, I never meant to mark this INVALID. And especially since the quit confirmation dialog now contains useless-ui (a "Quit" button that doesn't actually not save and quit) I don't think this is WONTFIX.

Apologies to mconnor, I think I led him astray with the accidental INVALID marking. Reopening.

(Also morphing the summary; I don't think that the restart warning really applies here in the same way, as that warning kind of supersedes the tabs/quit warnings and is meant to remind that session restore isn't 100% dataloss-free.)
Comment 10 Simon Bünzli 2008-04-17 17:54:00 PDT
(In reply to comment #9)
> (a "Quit" button that doesn't actually not save and quit)

That'd be bug 385582 of which this bug is a DUPE (or now vice versa).
Comment 11 eyal gruss (eyaler) 2011-01-21 12:20:54 PST
invalid due to Bug 592822?
Comment 12 Phoenix 2012-03-01 02:54:39 PST
Wanted behavior was achieved with Bug 629485

Note You need to log in before you can comment on or make changes to this bug.